<script>
  import localForage from 'localforage'
  import { Plus } from '../assets/icons'

  import Group from '../components/Group'

  import groupsAuthRefreshKey from '../stores/groupsAuthRefreshKey'
  import offline from '../stores/offline'

  import ExamsIllustration from '../assets/exams.svg'

  let groupAuthPromise
  $: {
    $groupsAuthRefreshKey
    groupAuthPromise = localForage
      .getItem('groups')
      .then(groups => groups || [])
  }
</script>

{#await groupAuthPromise}
  <p class="m-auto p-2 text-center">Cargando grupos...</p>
{:then groups}
  <div class="flex flex-col items-center px-6 py-2 max-w-xl mx-auto">
    {#each groups as auth (auth.id)}
      <Group {auth} />
    {/each}
    {#if groups.length < 1}
      <p class="my-6 text-xl text-center">No estás en ningún grupo.</p>
      <ExamsIllustration props={{ class: 'max-w-xs' }} />
      <p class="mt-4 text-lg text-center">
        Los grupos son donde se agregan las tareas. Podés invitar a tus
        compañerxs para que todxs sean parte
        <span aria-hidden="true">:)</span>
      </p>
    {/if}
  </div>
{/await}

<div class="flex justify-center">
  <a
    class="btn btn-blue text-xl my-4"
    disabled={$offline || null}
    href="#/groups/create"
  >
    <span class="icon s-8 mr-2">
      <Plus props={{ 'aria-hidden': true }} />
    </span>
    <span class="m-auto">Crear grupo</span>
  </a>
</div>
